> For the complete documentation index, see [llms.txt](https://docs.flowretail.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.flowretail.com/api/soa.md).

# SOA

SOA

## List SOAs

> List all SOAs.\
> \
> Required permissions: SOA

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"SOA","description":"SOA"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"parameters":{"soaNameQuery":{"description":"Reference to the name of a SOA.","in":"query","name":"name","required":false,"schema":{"type":"string"}},"soaExternalIdQuery":{"description":"External reference to a SOA.","in":"query","name":"externalId","required":false,"schema":{"type":"string"}},"pageNumberQuery":{"description":"Reference to a specific page in a result set.","in":"query","name":"pageNumber","required":false,"schema":{"type":"integer"}},"pageSizeQuery":{"description":"The number of items per page in a result set.","in":"query","name":"pageSize","required":false,"schema":{"type":"integer"}},"sortByQuery":{"description":"Defines which field the resource list is sorted by.","in":"query","name":"sortBy","required":false,"schema":{"type":"string"}},"sortDirectionQuery":{"description":"Reference to a sort direction","explode":false,"in":"query","name":"sortDirection","schema":{"$ref":"#/components/schemas/SortDirectionENUM"},"style":"form"}},"schemas":{"SortDirectionENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| ASC | Sort in ascending order|\n| DESC | Sort in descending order|\n","enum":["ASC","DESC"],"title":"SortDirectionENUM","type":"string"},"SOAResponseSchema":{"title":"SOAResponseSchema","type":"object","required":["name","externalId","soaUid","createdAt","createdBy","lastModifiedAt","lastModifiedBy"],"properties":{"name":{"type":"string"},"externalId":{"type":"string"},"soaUid":{"$ref":"#/components/schemas/UID"},"createdAt":{"format":"date-time","type":"string"},"createdBy":{"type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"lastModifiedBy":{"type":"string"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"}},"responses":{"SOAListResponse":{"content":{"application/json":{"schema":{"properties":{"items":{"items":{"$ref":"#/components/schemas/SOAResponseSchema"},"type":"array"},"paging":{"$ref":"#/components/schemas/Paging"}},"required":["items","paging"],"type":"object"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/soas":{"get":{"description":"List all SOAs.\n\nRequired permissions: SOA","operationId":"get-tenant-soas","parameters":[{"$ref":"#/components/parameters/soaNameQuery"},{"$ref":"#/components/parameters/soaExternalIdQuery"},{"$ref":"#/components/parameters/pageNumberQuery"},{"$ref":"#/components/parameters/pageSizeQuery"},{"$ref":"#/components/parameters/sortByQuery"},{"$ref":"#/components/parameters/sortDirectionQuery"}],"responses":{"200":{"$ref":"#/components/responses/SOAListResponse"}},"summary":"List SOAs","tags":["SOA"]}}}}
```

## Create a new SOA

> Create a new SOA.\
> \
> Required permissions: SOA

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"SOA","description":"SOA"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"SOACreateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SOACreateRequestSchema"}}}}},"schemas":{"SOACreateRequestSchema":{"allOf":[{"$ref":"#/components/schemas/SOAUpdateRequestSchema"},{"properties":{"soaUid":{"$ref":"#/components/schemas/UID"}},"required":["name"]}],"title":"SOACreateRequestSchema","type":"object"},"SOAUpdateRequestSchema":{"title":"SOAUpdateRequestSchema","type":"object","properties":{"externalId":{"type":"string"},"name":{"type":"string"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"SOAResponseSchema":{"title":"SOAResponseSchema","type":"object","required":["name","externalId","soaUid","createdAt","createdBy","lastModifiedAt","lastModifiedBy"],"properties":{"name":{"type":"string"},"externalId":{"type":"string"},"soaUid":{"$ref":"#/components/schemas/UID"},"createdAt":{"format":"date-time","type":"string"},"createdBy":{"type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"lastModifiedBy":{"type":"string"}}}},"responses":{"SOAResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SOAResponseSchema"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/soas":{"post":{"description":"Create a new SOA.\n\nRequired permissions: SOA","operationId":"post-tenant-soa-details","requestBody":{"$ref":"#/components/requestBodies/SOACreateRequest"},"responses":{"201":{"$ref":"#/components/responses/SOAResponse"}},"summary":"Create a new SOA","tags":["SOA"]}}}}
```

## BATCH Create SOA amounts

> Creates amounts on a SOA.\
> \
> Items in:\
> &#x20; \- create :  will be created.\
> &#x20; \- update :  will be updated.\
> &#x20; \- delete:   will be deleted.\
> &#x20; \- upsert:   will create or update if needed.\
> \
> The response http status is either:\
> &#x20;\- 200: all items in request was processed successfully, \
> &#x20;\- 207: one or more item was processed with an error.\
> \
> Required permissions: SOA<br>

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"SOA","description":"SOA"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"SOAAmountBatchRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SOAAmountBatchRequestSchema"}}}}},"schemas":{"SOAAmountBatchRequestSchema":{"title":"SOAAmountBatchRequestSchema","type":"object","required":["upsert"],"properties":{"upsert":{"type":"array","items":{"$ref":"#/components/schemas/SOAAmountBatchCreateRequestSchema"}}}},"SOAAmountBatchCreateRequestSchema":{"allOf":[{"$ref":"#/components/schemas/SOAAmountCreateRequestSchema"},{"properties":{"soaUid":{"$ref":"#/components/schemas/UID"}},"required":["soaUid"]}],"title":"SOAAmountBatchCreateRequestSchema","type":"object"},"SOAAmountCreateRequestSchema":{"title":"SOAAmountCreateRequestSchema","type":"object","required":["storeUid","productUid","amount","fromDateTime","toDateTime"],"properties":{"storeUid":{"$ref":"#/components/schemas/UID"},"productUid":{"$ref":"#/components/schemas/UID"},"amount":{"type":"integer"},"fromDateTime":{"type":"string","format":"date-time"},"toDateTime":{"type":"string","format":"date-time"},"soaAmountUid":{"$ref":"#/components/schemas/UID"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"SOAAmountBatchResponseSchema":{"title":"SOAAmountBatchResponseSchema","type":"object","required":["upsert"],"properties":{"upsert":{"$ref":"#/components/schemas/BatchResponseItemSOAAmountSchema"}}},"BatchResponseItemSOAAmountSchema":{"title":"BatchResponseItemSOAAmountSchema","type":"object","required":["errors","success"],"properties":{"errors":{"type":"array","items":{"$ref":"#/components/schemas/BatchErrorSOAAmountSchema"}},"success":{"type":"integer"}}},"BatchErrorSOAAmountSchema":{"title":"BatchErrorSOAAmountSchema","type":"object","required":["errorCode","message","productUid","storeUid","soaUid"],"properties":{"errorCode":{"type":"string"},"message":{"type":"string"},"productUid":{"$ref":"#/components/schemas/OptionalUID"},"storeUid":{"$ref":"#/components/schemas/OptionalUID"},"soaUid":{"$ref":"#/components/schemas/OptionalUID"},"soaAmountUid":{"$ref":"#/components/schemas/OptionalUID"}}},"OptionalUID":{"title":"OptionalUID","type":"string","pattern":"^[A-Za-z0-9-_]*"}},"responses":{"SOAAmountBatchResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SOAAmountBatchResponseSchema"}}},"description":"Response for SOAAmountBatchRequest.\n200: All items in request was processed with no errors\n207: One or more items in request returned an error"}}},"paths":{"/tenants/{tenantUid}/soas/batch":{"post":{"description":"Creates amounts on a SOA.\n\nItems in:\n  - create :  will be created.\n  - update :  will be updated.\n  - delete:   will be deleted.\n  - upsert:   will create or update if needed.\n\nThe response http status is either:\n - 200: all items in request was processed successfully, \n - 207: one or more item was processed with an error.\n\nRequired permissions: SOA\n","operationId":"post-tenant-soa-amounts-batch","requestBody":{"$ref":"#/components/requestBodies/SOAAmountBatchRequest"},"responses":{"200":{"$ref":"#/components/responses/SOAAmountBatchResponse"},"207":{"$ref":"#/components/responses/SOAAmountBatchResponse"}},"summary":"BATCH Create SOA amounts","tags":["SOA"]}}}}
```

## Get SOA details

> Get SOA details.\
> \
> Required permissions: SOA

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"SOA","description":"SOA"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"SOAResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SOAResponseSchema"}}},"description":"Example response"}},"schemas":{"SOAResponseSchema":{"title":"SOAResponseSchema","type":"object","required":["name","externalId","soaUid","createdAt","createdBy","lastModifiedAt","lastModifiedBy"],"properties":{"name":{"type":"string"},"externalId":{"type":"string"},"soaUid":{"$ref":"#/components/schemas/UID"},"createdAt":{"format":"date-time","type":"string"},"createdBy":{"type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"lastModifiedBy":{"type":"string"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"}}},"paths":{"/tenants/{tenantUid}/soas/{soaUid}":{"get":{"description":"Get SOA details.\n\nRequired permissions: SOA","operationId":"get-tenant-soa-details","responses":{"200":{"$ref":"#/components/responses/SOAResponse"}},"summary":"Get SOA details","tags":["SOA"]}}}}
```

## Update SOA details

> Update SO details.\
> \
> Required permissions: SOA

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"SOA","description":"SOA"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"requestBodies":{"SOAUpdateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SOAUpdateRequestSchema"}}}}},"schemas":{"SOAUpdateRequestSchema":{"title":"SOAUpdateRequestSchema","type":"object","properties":{"externalId":{"type":"string"},"name":{"type":"string"}}},"SOAResponseSchema":{"title":"SOAResponseSchema","type":"object","required":["name","externalId","soaUid","createdAt","createdBy","lastModifiedAt","lastModifiedBy"],"properties":{"name":{"type":"string"},"externalId":{"type":"string"},"soaUid":{"$ref":"#/components/schemas/UID"},"createdAt":{"format":"date-time","type":"string"},"createdBy":{"type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"lastModifiedBy":{"type":"string"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"}},"responses":{"SOAResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SOAResponseSchema"}}},"description":"Example response"}}},"paths":{"/tenants/{tenantUid}/soas/{soaUid}":{"put":{"description":"Update SO details.\n\nRequired permissions: SOA","operationId":"put-tenant-soa-details","requestBody":{"$ref":"#/components/requestBodies/SOAUpdateRequest"},"responses":{"200":{"$ref":"#/components/responses/SOAResponse"}},"summary":"Update SOA details","tags":["SOA"]}}}}
```

## Delete a SOA

> Deletes a SOA and all associated amounts.\
> \
> Required permissions: SOA

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"SOA","description":"SOA"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}}},"paths":{"/tenants/{tenantUid}/soas/{soaUid}":{"delete":{"description":"Deletes a SOA and all associated amounts.\n\nRequired permissions: SOA","operationId":"delete-tenant-soa","responses":{"204":{"description":"No Content"}},"summary":"Delete a SOA","tags":["SOA"]}}}}
```

## List SOA Amounts associated with a SOA

> List SOA Amounts associated with a SOA\
> \
> Required permissions: SOA

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"SOA","description":"SOA"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"SOAAmountListResponse":{"description":"List of SOA Amounts","content":{"application/json":{"schema":{"type":"object","required":["items","paging"],"properties":{"items":{"type":"array","items":{"$ref":"#/components/schemas/SOAAmountResponseSchema"}},"paging":{"$ref":"#/components/schemas/Paging"}}}}}}},"schemas":{"SOAAmountResponseSchema":{"title":"SOAAmountResponseSchema","type":"object","required":["soaUid","storeUid","productUid","soaAmountUid","amount","fromDateTime","toDateTime","createdAt","createdBy","lastModifiedAt","lastModifiedBy"],"properties":{"soaUid":{"$ref":"#/components/schemas/UID"},"storeUid":{"$ref":"#/components/schemas/UID"},"productUid":{"$ref":"#/components/schemas/UID"},"soaAmountUid":{"$ref":"#/components/schemas/UID"},"amount":{"type":"integer"},"fromDateTime":{"type":"string","format":"date-time"},"toDateTime":{"type":"string","format":"date-time"},"createdAt":{"format":"date-time","type":"string"},"createdBy":{"type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"lastModifiedBy":{"type":"string"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"Paging":{"description":"totalCount The total number of items in the result set.\n\npageSize The number of items per page.\n\npageNumber The current page in the result set.","properties":{"pageNumber":{"type":"integer"},"pageSize":{"type":"integer"},"totalCount":{"type":"integer"}},"required":["totalCount","pageSize","pageNumber"],"title":"Paging","type":"object"},"SortDirectionENUM":{"description":"|ENUM      | Description |\n| ---------------- | ------------ |\n| ASC | Sort in ascending order|\n| DESC | Sort in descending order|\n","enum":["ASC","DESC"],"title":"SortDirectionENUM","type":"string"}},"parameters":{"pageNumberQuery":{"description":"Reference to a specific page in a result set.","in":"query","name":"pageNumber","required":false,"schema":{"type":"integer"}},"pageSizeQuery":{"description":"The number of items per page in a result set.","in":"query","name":"pageSize","required":false,"schema":{"type":"integer"}},"sortByQuery":{"description":"Defines which field the resource list is sorted by.","in":"query","name":"sortBy","required":false,"schema":{"type":"string"}},"sortDirectionQuery":{"description":"Reference to a sort direction","explode":false,"in":"query","name":"sortDirection","schema":{"$ref":"#/components/schemas/SortDirectionENUM"},"style":"form"}}},"paths":{"/tenants/{tenantUid}/soas/{soaUid}/amounts":{"get":{"summary":"List SOA Amounts associated with a SOA","tags":["SOA"],"responses":{"2XX":{"$ref":"#/components/responses/SOAAmountListResponse"}},"operationId":"list-tenant-soaUid-soa-amounts","description":"List SOA Amounts associated with a SOA\n\nRequired permissions: SOA","parameters":[{"$ref":"#/components/parameters/pageNumberQuery"},{"$ref":"#/components/parameters/pageSizeQuery"},{"$ref":"#/components/parameters/sortByQuery"},{"$ref":"#/components/parameters/sortDirectionQuery"}]}}}}
```

## Create a SOA amount

> Create a SOA amount.\
> \
> Required permissions: SOA

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"SOA","description":"SOA"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"SOAAmountResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SOAAmountResponseSchema"}}},"description":"Example response"}},"schemas":{"SOAAmountResponseSchema":{"title":"SOAAmountResponseSchema","type":"object","required":["soaUid","storeUid","productUid","soaAmountUid","amount","fromDateTime","toDateTime","createdAt","createdBy","lastModifiedAt","lastModifiedBy"],"properties":{"soaUid":{"$ref":"#/components/schemas/UID"},"storeUid":{"$ref":"#/components/schemas/UID"},"productUid":{"$ref":"#/components/schemas/UID"},"soaAmountUid":{"$ref":"#/components/schemas/UID"},"amount":{"type":"integer"},"fromDateTime":{"type":"string","format":"date-time"},"toDateTime":{"type":"string","format":"date-time"},"createdAt":{"format":"date-time","type":"string"},"createdBy":{"type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"lastModifiedBy":{"type":"string"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"SOAAmountCreateRequestSchema":{"title":"SOAAmountCreateRequestSchema","type":"object","required":["storeUid","productUid","amount","fromDateTime","toDateTime"],"properties":{"storeUid":{"$ref":"#/components/schemas/UID"},"productUid":{"$ref":"#/components/schemas/UID"},"amount":{"type":"integer"},"fromDateTime":{"type":"string","format":"date-time"},"toDateTime":{"type":"string","format":"date-time"},"soaAmountUid":{"$ref":"#/components/schemas/UID"}}}},"requestBodies":{"SOAAmountCreateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SOAAmountCreateRequestSchema"}}}}}},"paths":{"/tenants/{tenantUid}/soas/{soaUid}/amounts":{"post":{"description":"Create a SOA amount.\n\nRequired permissions: SOA","operationId":"post-tenant-soa-amount-details","responses":{"201":{"$ref":"#/components/responses/SOAAmountResponse"}},"summary":"Create a SOA amount","requestBody":{"$ref":"#/components/requestBodies/SOAAmountCreateRequest"},"tags":["SOA"]}}}}
```

## Get a SOA amount

> Get a SOA amount.

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"SOA","description":"SOA"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"SOAAmountResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SOAAmountResponseSchema"}}},"description":"Example response"}},"schemas":{"SOAAmountResponseSchema":{"title":"SOAAmountResponseSchema","type":"object","required":["soaUid","storeUid","productUid","soaAmountUid","amount","fromDateTime","toDateTime","createdAt","createdBy","lastModifiedAt","lastModifiedBy"],"properties":{"soaUid":{"$ref":"#/components/schemas/UID"},"storeUid":{"$ref":"#/components/schemas/UID"},"productUid":{"$ref":"#/components/schemas/UID"},"soaAmountUid":{"$ref":"#/components/schemas/UID"},"amount":{"type":"integer"},"fromDateTime":{"type":"string","format":"date-time"},"toDateTime":{"type":"string","format":"date-time"},"createdAt":{"format":"date-time","type":"string"},"createdBy":{"type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"lastModifiedBy":{"type":"string"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"}}},"paths":{"/tenants/{tenantUid}/soas/{soaUid}/amounts/{soaAmountUid}":{"get":{"description":"Get a SOA amount.","operationId":"get-tenant-soa-amount-details","responses":{"200":{"$ref":"#/components/responses/SOAAmountResponse"}},"summary":"Get a SOA amount","tags":["SOA"]}}}}
```

## Update SOA amount details

> Update SOA amount details\
> \
> Required permissions: SOA

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"SOA","description":"SOA"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}},"responses":{"SOAAmountResponse":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SOAAmountResponseSchema"}}},"description":"Example response"}},"schemas":{"SOAAmountResponseSchema":{"title":"SOAAmountResponseSchema","type":"object","required":["soaUid","storeUid","productUid","soaAmountUid","amount","fromDateTime","toDateTime","createdAt","createdBy","lastModifiedAt","lastModifiedBy"],"properties":{"soaUid":{"$ref":"#/components/schemas/UID"},"storeUid":{"$ref":"#/components/schemas/UID"},"productUid":{"$ref":"#/components/schemas/UID"},"soaAmountUid":{"$ref":"#/components/schemas/UID"},"amount":{"type":"integer"},"fromDateTime":{"type":"string","format":"date-time"},"toDateTime":{"type":"string","format":"date-time"},"createdAt":{"format":"date-time","type":"string"},"createdBy":{"type":"string"},"lastModifiedAt":{"format":"date-time","type":"string"},"lastModifiedBy":{"type":"string"}}},"UID":{"title":"UID","type":"string","pattern":"^[A-Za-z0-9-_]+"},"SOAAmountUpdateRequestSchema":{"title":"SOAAmountUpdateRequestSchema","type":"object","properties":{"storeUid":{"$ref":"#/components/schemas/UID"},"productUid":{"$ref":"#/components/schemas/UID"},"amount":{"type":"integer"},"fromDateTime":{"type":"string","format":"date-time"},"toDateTime":{"type":"string","format":"date-time"}}}},"requestBodies":{"SOAAmountUpdateRequest":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SOAAmountUpdateRequestSchema"}}}}}},"paths":{"/tenants/{tenantUid}/soas/{soaUid}/amounts/{soaAmountUid}":{"put":{"summary":"Update SOA amount details","description":"Update SOA amount details\n\nRequired permissions: SOA","tags":["SOA"],"responses":{"200":{"$ref":"#/components/responses/SOAAmountResponse"}},"operationId":"put-tenant-soa-amount-details","requestBody":{"$ref":"#/components/requestBodies/SOAAmountUpdateRequest"}}}}}
```

## Delete a SOA amount

> Delete a SOA amount\
> \
> Required permissions: SOA

```json
{"openapi":"3.0.2","info":{"title":"Flow Retail API version 2","version":"2.0.0"},"tags":[{"name":"SOA","description":"SOA"}],"servers":[{"description":"Flow Retail Production","url":"https://api.flowretail.com/v2"},{"description":"Flow Retail Stage","url":"https://api.stage.flowretail.com/v2"}],"security":[{"accessToken":[]},{"authToken":[]},{"integrationToken":[]}],"components":{"securitySchemes":{"accessToken":{"description":"Access token recevied after user login with a deviceToken","scheme":"bearer","type":"http"},"authToken":{"description":"Token received from the auth service","scheme":"bearer","type":"http"},"integrationToken":{"scheme":"bearer","type":"http"}}},"paths":{"/tenants/{tenantUid}/soas/{soaUid}/amounts/{soaAmountUid}":{"delete":{"summary":"Delete a SOA amount","description":"Delete a SOA amount\n\nRequired permissions: SOA","tags":["SOA"],"responses":{"204":{"description":"No Content"}},"operationId":"delete-tenant-soa-amount"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.flowretail.com/api/soa.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
